#include "ExhaustParticle.h"



// Constructor
ExhaustParticle::ExhaustParticle(WorldObject *baseObject) {

	lifeTimeRemaining = 0;

	setColor(1, 1, .5f);
	setSize(18);

	totalLife = .75f;
	lifeTimeRemaining = .75f;

	// Set start point
	Vector2 offset(baseObject->heading+90, rand() % 6 - 3);
	offset.addVector(Vector2(baseObject->heading+180, 23));

	setLocation(baseObject->x+offset.getX(), baseObject->y+offset.getY());
	velocity.addVector(Vector2((baseObject->heading+180) + (rand() % 50 - 25), 80));

	if (!textureLoaded) {
		particle = new CL_OpenGLSurface("Graphics/particle", WorldObject::manager);
		textureLoaded = true;
	}
}

// Destructor
ExhaustParticle::~ExhaustParticle() {

}

