#include "Global.h"

#ifndef KEY_H
#define KEY_H

class Key {

public:
	Key(int keyID = 0, int delay = 200) { 
		this->keyID = keyID; 
		this->delay = delay; 
		this->timeLastPressed = CL_System::get_time(); 
	};

	unsigned int timeLastPressed;
	int delay, keyID;

	bool isPressed() {

		unsigned int time = CL_System::get_time();
/*
		if (CL_Keyboard::get_keycode(keyID)) {
			cout << "Key Down" << time << "\n";
		}
*/
		if (time > timeLastPressed + delay && CL_Keyboard::get_keycode(keyID)) {

			timeLastPressed = time;
			return true;
		} else
			return false;
	};

	void set(int keyID, int delay = 300) {
		this->keyID = keyID; this->delay = delay;
	};
};

#endif
//
