#include "Message.h"

// Constructor
Message::Message() {
	x=0, y=0;
	message = "Default Message";
	timeRemaining = 0;
	doesNotExpire = false;
}

// Destructor
Message::~Message() {}

void Message::update(float timeScale) {
	timeRemaining -= timeScale;
}

void Message::paint() {

	if (!isExpired())
		font->draw(x, y, message);
}

bool Message::isExpired() {

	if (doesNotExpire) return false;

	return (timeRemaining < 0) ? true : false;
}

